org.wildfly.swarm.config.elytron

## Class SimplePermissionMapper<T extends SimplePermissionMapper<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.SimplePermissionMapper<T>

-     public class SimplePermissionMapper<T extends SimplePermissionMapper<T>>
      extends Object

  Definition of a simple configured permission mapper.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SimplePermissionMapper.MappingMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplePermissionMapper(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `SimplePermissionMapper.MappingMode` | `mappingMode()` The mapping mode that should be used in the event of multiple matches.
    `T` | `mappingMode(SimplePermissionMapper.MappingMode value)` The mapping mode that should be used in the event of multiple matches.
    `T` | `permissionMapping(Map value)` The defined permission mappings.
    `List<Map>` | `permissionMappings()` The defined permission mappings.
    `T` | `permissionMappings(List<Map> value)` The defined permission mappings.
    `T` | `permissionMappings(Map... args)` The defined permission mappings.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimplePermissionMapper

          public SimplePermissionMapper(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### mappingMode

          public SimplePermissionMapper.MappingMode mappingMode()

      The mapping mode that should be used in the event of multiple matches.

    - #### mappingMode

          public T mappingMode(SimplePermissionMapper.MappingMode value)

      The mapping mode that should be used in the event of multiple matches.

    - #### permissionMappings

          public List<Map> permissionMappings()

      The defined permission mappings.

    - #### permissionMappings

          public T permissionMappings(List<Map> value)

      The defined permission mappings.

    - #### permissionMapping

          public T permissionMapping(Map value)

      The defined permission mappings.

    - #### permissionMappings

          public T permissionMappings(Map... args)

      The defined permission mappings.

Copyright © 2018 JBoss by Red Hat. All rights reserved.